Doesnt apply on 14.3-RELEASE & I cant be bothered adapting it.

This is http://www.berklix.com/~jhs/src/bsd/fixes/freebsd/ports/gen/Mk/bsd.port.mk.julian_elischer_2016-05-13.REL=ALL.diff
it contains same patch as he posted below, I've just added right amount of path
to satisfy my customise script. + its now in diff -c format.

# At 2017-02-18 This patch below is now in current.
# *** 11.0-CURRENT/ports/Mk/bsd.port.mk	Tue May 24 15:38:07 2016
# --- generic+julian_elischer/ports/Mk/bsd.port.mk	Tue May 24 15:38:58 2016
# ***************
# *** 771,776 ****
# --- 771,781 ----
#   #				  The patches specified by this variable will be
#   #				  applied after the normal distribution patches but
#   #				  before those in ${PATCHDIR}.
# + # EXTRA_PATCH_TREE - where to find extra 'out-of-tree' patches
# + #				  Points to a directory hierarchy with the same layout
# + #				  as the ports tree, where local patches can be found.
# + #				  This allows a third party to keep their patches in
# + #				  some other source control system if needed.
#   # PATCH_WRKSRC	- Directory to apply patches in.
#   #				  Default: ${WRKSRC}
#   #

# At 2017-02-18 This patch below doesnt seem to be in current.
*** 11.0-CURRENT/ports/Mk/bsd.port.mk	Tue May 24 15:38:07 2016
--- generic+julian_elischer/ports/Mk/bsd.port.mk	Tue May 24 15:38:58 2016
***************
*** 3339,3344 ****
--- 3344,3379 ----
  			done; \
  		fi; \
  	fi
+ .if defined(EXTRA_PATCH_TREE)
+ 	@set -e ;\
+ 	if [ -d ${EXTRA_PATCH_TREE}/${PKGORIGIN} ]; then \
+ 		if [ "`${ECHO_CMD} ${EXTRA_PATCH_TREE}/${PKGORIGIN}/patch-*`" != "${EXTRA_PATCH_TREE}/${PKGORIGIN}/patch-*" ]; then \
+ 			${ECHO_MSG} "===>  Applying local patches for ${PKGNAME}" ; \
+ 			PATCHES_APPLIED="" ; \
+ 			for i in ${EXTRA_PATCH_TREE}/${PKGORIGIN}/patch-*; do \
+ 				case $$i in \
+ 					*.orig|*.rej|*~|*,v) \
+ 						${ECHO_MSG} "===>   Ignoring local patchfile $$i" ; \
+ 						;; \
+ 					*) \
+ 						if [ ${PATCH_DEBUG_TMP} = yes ]; then \
+ 							${ECHO_MSG} "===>   Applying local patch $$i" ; \
+ 						fi; \
+ 						if ${PATCH} ${PATCH_ARGS} < $$i ; then \
+ 							PATCHES_APPLIED="$$PATCHES_APPLIED $$i" ; \
+ 						else \
+ 							${ECHO_MSG} `${ECHO_CMD} "=> Local patch $$i failed to apply cleanly." | ${SED} "s|${EXTRA_PATCH_TREE}/${PKGORIGIN}/||"` ; \
+ 							if [ x"$$PATCHES_APPLIED" != x"" -a ${PATCH_SILENT} != "yes" ]; then \
+ 								${ECHO_MSG} `${ECHO_CMD} "=> Patch(es) $$PATCHES_APPLIED applied cleanly." | ${SED} "s|${EXTRA_PATCH_TREE}/${PKGORIGIN}/||g"` ; \
+ 							fi; \
+ 							${FALSE} ; \
+ 						fi; \
+ 						;; \
+ 				esac; \
+ 			done; \
+ 		fi; \
+ 	fi
+ .endif
  .endif
  
  .if !target(run-autotools-fixup)
#	http://lists.freebsd.org/pipermail/freebsd-ports/2016-May/103179.html
#	
#	Message-id: <d857274b-908a-4873-1f81-ea99cb1fdbba@freebsd.org>
#	List-archive: <http://lists.freebsd.org/pipermail/freebsd-ports/>
#	Sender: owner-freebsd-ports@freebsd.org
#	Subject: suggested patch for bsd.ports.mk
#	From: Julian Elischer <julian@freebsd.org>
#	Date: Fri, 13 May 2016 00:11:47 +0800
#	To: "ports@FreeBSD.org" <ports@freebsd.org>
#	
#	Change 47442 by jelischer@jre-porridge-1 on 2015/03/25 08:30:42
#	
#		Add suport for local patches
#	
#	Affected files ...
#	
#	... //depot/bugatti/FreeBSD-ports-PZ/10.1/Mk/bsd.port.mk#2 edit
#	
#	Differences ...
#	
#	==== //depot/bugatti/FreeBSD-ports-PZ/10.1/Mk/bsd.port.mk#2 (text) ====
#	
#	@@ -791,6 +791,11 @@
#	 #				  The patches specified by this variable will be
#	 #				  applied after the normal distribution patches but
#	 #				  before those in ${PATCHDIR}.
#	+# EXTRA_PATCH_TREE - where to find extra 'out-of-tree' patches
#	+#				  Points to a directory hierarchy with the same layout
#	+#				  as the ports tree, where local patches can be found.
#	+#				  This allows a third party to keep their patches in
#	+#				  some other source control system if needed.
#	 # PATCH_WRKSRC	- Directory to apply patches in.
#	 #				  Default: ${WRKSRC}
#	 #
#	@@ -3397,6 +3402,36 @@
#	 			done; \
#	 		fi; \
#	 	fi
#	+.if defined(EXTRA_PATCH_TREE)
#	+	@set -e ;\
#	+	if [ -d ${EXTRA_PATCH_TREE}/${PKGORIGIN} ]; then \
#	+		if [ "`${ECHO_CMD} ${EXTRA_PATCH_TREE}/${PKGORIGIN}/patch-*`" != "${EXTRA_PATCH_TREE}/${PKGORIGIN}/patch-*" ]; then \
#	+			${ECHO_MSG} "===>  Applying local patches for ${PKGNAME}" ; \
#	+			PATCHES_APPLIED="" ; \
#	+			for i in ${EXTRA_PATCH_TREE}/${PKGORIGIN}/patch-*; do \
#	+				case $$i in \
#	+					*.orig|*.rej|*~|*,v) \
#	+						${ECHO_MSG} "===>   Ignoring local patchfile $$i" ; \
#	+						;; \
#	+					*) \
#	+						if [ ${PATCH_DEBUG_TMP} = yes ]; then \
#	+							${ECHO_MSG} "===>   Applying local patch $$i" ; \
#	+						fi; \
#	+						if ${PATCH} ${PATCH_ARGS} < $$i ; then \
#	+							PATCHES_APPLIED="$$PATCHES_APPLIED $$i" ; \
#	+						else \
#	+							${ECHO_MSG} `${ECHO_CMD} "=> Local patch $$i failed to apply cleanly." | ${SED} "s|${EXTRA_PATCH_TREE}/${PKGORIGIN}/||"` ; \
#	+							if [ x"$$PATCHES_APPLIED" != x"" -a ${PATCH_SILENT} != "yes" ]; then \
#	+								${ECHO_MSG} `${ECHO_CMD} "=> Patch(es) $$PATCHES_APPLIED applied cleanly." | ${SED} "s|${EXTRA_PATCH_TREE}/${PKGORIGIN}/||g"` ; \
#	+							fi; \
#	+							${FALSE} ; \
#	+						fi; \
#	+						;; \
#	+				esac; \
#	+			done; \
#	+		fi; \
#	+	fi
#	+.endif
#	 .endif
#	 
#	 .if !target(run-autotools-fixup)
